## GdkDisplayManager GdkDisplayManager |

## Functions

GdkDisplayManager * | gdk_display_manager_get ()
GdkDisplay * | gdk_display_manager_get_default_display ()
void | gdk_display_manager_set_default_display ()
GSList * | gdk_display_manager_list_displays ()
GdkDevice * | gdk_display_get_core_pointer ()

## Properties

GdkDisplay * | default-display | Read / Write

## Signals

void | display-opened | Run Last

## Types and Values

| GdkDisplayManager

## Object Hierarchy

        GObject
        ╰── GdkDisplayManager

## Includes

    #include <gdk/gdk.h>

## Description

## Functions

### gdk_display_manager_get ()

    GdkDisplayManager *
    gdk_display_manager_get (void);

Gets the singleton GdkDisplayManager object.

#### Returns

The global GdkDisplayManager singleton; `gdk_parse_pargs()`, `gdk_init()`, or `gdk_init_check()` must have been called first.

[transfer none]

Since: 2.2

### gdk_display_manager_get_default_display ()

    GdkDisplay *
    gdk_display_manager_get_default_display
                                   (GdkDisplayManager *display_manager);

Gets the default GdkDisplay.

#### Parameters

display_manager | a GdkDisplayManager |

#### Returns

a GdkDisplay, or `NULL` if there is no default display.

[transfer none]

Since: 2.2

### gdk_display_manager_set_default_display ()

    void
    gdk_display_manager_set_default_display
                                   (GdkDisplayManager *display_manager,
                                    GdkDisplay *display);

Sets `display` as the default display.

#### Parameters

display_manager | a GdkDisplayManager |
display | a GdkDisplay |

Since: 2.2

### gdk_display_manager_list_displays ()

    GSList *
    gdk_display_manager_list_displays (GdkDisplayManager *display_manager);

List all currently open displays.

#### Parameters

display_manager | a GdkDisplayManager |

#### Returns

a newly allocated GSList of GdkDisplay objects. Free this list with `g_slist_free()` when you are done with it.

[transfer container][element-type GdkDisplay]

Since: 2.2

### gdk_display_get_core_pointer ()

    GdkDevice *
    gdk_display_get_core_pointer (GdkDisplay *display);

Returns the core pointer device for the given display

#### Parameters

display | a GdkDisplay |

#### Returns

the core pointer device; this is owned by the display and should not be freed.

Since: 2.2

## Types and Values

### GdkDisplayManager

    typedef struct _GdkDisplayManager GdkDisplayManager;

## Property Details

### The `“default-display”` property

      “default-display”          GdkDisplay *

The default display for GDK.

Owner: GdkDisplayManager

Flags: Read / Write

## Signal Details

### The `“display-opened”` signal

    void
    user_function (GdkDisplayManager *display_manager,
                   GdkDisplay        *display,
                   gpointer           user_data)

The ::display_opened signal is emitted when a display is opened.

#### Parameters

display_manager | the object on which the signal is emitted |
display | the opened display |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 2.2